Intermittent devtools/client/inspector/test/browser_inspector_textbox-menu.js | Test timed out -

RESOLVED INCOMPLETE

Status

P3
normal
RESOLVED INCOMPLETE
2 years ago
4 months ago

People

(Reporter: intermittent-bug-filer, Unassigned)

Tracking

({bulk-close-intermittents, intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

Inspector bug triage (filter on CLIMBING SHOES).
Priority: -- → P3
6 failures in 526 pushes (0.011 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 3
* mozilla-central: 2
* autoland: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1322627&startday=2016-12-12&endday=2016-12-18&tree=all
5 failures in 609 pushes (0.008 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-aurora: 2
* autoland: 2
* graphics: 1

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1322627&startday=2016-12-19&endday=2016-12-25&tree=all
10 failures in 305 pushes (0.033 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 5
* mozilla-aurora: 3
* mozilla-central: 1
* autoland: 1

Platform breakdown:
* linux64: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1322627&startday=2016-12-26&endday=2017-01-01&tree=all
17 failures in 563 pushes (0.03 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 11
* mozilla-inbound: 4
* mozilla-central: 2

Platform breakdown:
* linux64: 17

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1322627&startday=2017-01-02&endday=2017-01-08&tree=all
17 failures in 722 pushes (0.024 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 8
* mozilla-inbound: 5
* mozilla-aurora: 3
* mozilla-central: 1

Platform breakdown:
* linux64: 12
* linux32: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1322627&startday=2017-01-09&endday=2017-01-15&tree=all
28 failures in 690 pushes (0.041 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 15
* autoland: 12
* mozilla-central: 1

Platform breakdown:
* linux64: 20
* linux32: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1322627&startday=2017-01-16&endday=2017-01-22&tree=all
The test intermittently fails to open the context menu.
Here's the stack trace I found (with the protocol and promise stuff removed):

TEST-UNEXPECTED-FAIL | devtools/client/inspector/test/browser_inspector_textbox-menu.js | The menu is now visible - Got closed, expected open
Stack trace:
    chrome://mochikit/content/browser-test.js:test_is:913
    chrome://mochitests/content/browser/devtools/client/inspector/test/browser_inspector_textbox-menu.js:checkTextBox:82
    [...]
    handler@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/shared/event-emitter.js:137:9
    emit@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/shared/event-emitter.js:191:13
    checkDone@chrome://devtools/content/inspector/inspector.js:866:11
    done@chrome://devtools/content/inspector/inspector.js:874:7
    onNewSelection/<@chrome://devtools/content/inspector/inspector.js:827:9
    DevToolsUtils.executeSoon*exports.executeSoon@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/shared/DevToolsUtils.js:42:19
    onNewSelection@chrome://devtools/content/inspector/inspector.js:825:5
    emit@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/shared/event-emitter.js:191:13
    setNodeFront@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/framework/selection.js:127:5
    selectNode<@chrome://mochitests/content/browser/devtools/client/inspector/test/shared-head.js:154:3
    [...]
    focusNode@chrome://mochitests/content/browser/devtools/client/inspector/test/head.js:114:9
    [...]
    WalkerFront<.querySelector<@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/shared/fronts/inspector.js:621:12
    getNodeFront@chrome://mochitests/content/browser/devtools/client/inspector/test/shared-head.js:137:10
    focusNode@chrome://mochitests/content/browser/devtools/client/inspector/test/head.js:112:25
    [...]
    getOriginalLocation@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/shared/fronts/styles.js:237:12
    getOriginalSourceStrings@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/inspector/rules/models/rule.js:139:12
    updateSourceLink@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/inspector/rules/views/rule-editor.js:261:7
    _create@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/inspector/rules/views/rule-editor.js:124:5
    RuleEditor@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/inspector/rules/views/rule-editor.js:77:3
    _createEditors@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/inspector/rules/rules.js:1070:23
    _populate/<@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/inspector/rules/rules.js:874:28
    [...]
    PageStyleFront<.getApplied<@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/shared/fronts/styles.js:67:21
    [...]
    populate@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/inspector/rules/models/element-style.js:90:21
    _populate@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/inspector/rules/rules.js:868:12
    selectElement/<@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/inspector/rules/rules.js:783:16
    [...]
    WalkerFront<.querySelector<@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/shared/fronts/inspector.js:621:12
    getNodeFront@chrome://mochitests/content/browser/devtools/client/inspector/test/shared-head.js:137:10
Closing the menu
Waiting for event: 'popuphidden' on [object XULElement].

So, the test fails on this assertion:
http://searchfox.org/mozilla-central/rev/30fcf167af036aeddf322de44a2fadd370acfd2f/devtools/client/inspector/test/browser_inspector_textbox-menu.js#82

Here:

  info("Simulating context click on the textbox and expecting the menu to open");
  let onContextMenu = once(textBoxContextMenuPopup, "popupshown");
  EventUtils.synthesizeMouse(textBox, 2, 2, {type: "contextmenu", button: 2},
                             textBox.ownerDocument.defaultView);
  yield onContextMenu;

  is(textBoxContextMenuPopup.state, "open", "The menu is now visible");

So, waiting for the popupshown event doesn't always seem to work, and in some cases the state isn't "open" yet.
17 failures in 749 pushes (0.023 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 9
* autoland: 6
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 14
* linux32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1322627&startday=2017-01-23&endday=2017-01-29&tree=all
5 failures in 733 pushes (0.007 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* try: 1
* mozilla-inbound: 1
* mozilla-beta: 1
* mozilla-aurora: 1
* autoland: 1

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1322627&startday=2017-01-30&endday=2017-02-05&tree=all
5 failures in 812 pushes (0.006 failures/push) were associated with this bug in the last 7 days.  
Repository breakdown:
* try: 2
* mozilla-esr52: 1
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* linux32: 3
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1322627&startday=2017-02-20&endday=2017-02-26&tree=all
5 failures in 783 pushes (0.006 failures/push) were associated with this bug in the last 7 days.  
Repository breakdown:
* mozilla-esr52: 2
* try: 1
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1322627&startday=2017-02-27&endday=2017-03-05&tree=all
10 failures in 898 pushes (0.011 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 4
* try: 3
* mozilla-beta: 3

Platform breakdown:
* linux64: 4
* windows8-64: 2
* windows7-32-vm: 2
* linux32-nightly: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1322627&startday=2017-03-20&endday=2017-03-26&tree=all
Gabriel, this started getting frequent on inbound, especially on OS X. Can you take a look, please?

https://treeherder.mozilla.org/logviewer.html#?job_id=89294561&repo=mozilla-inbound
Flags: needinfo?(gl)
19 failures in 867 pushes (0.022 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 11
* try: 5
* mozilla-beta: 2
* autoland: 1

Platform breakdown:
* osx-10-10: 6
* linux64: 6
* windows8-64: 4
* windows7-32-vm: 2
* linux64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1322627&startday=2017-04-03&endday=2017-04-09&tree=all

Updated

2 years ago
Assignee: nobody → gl
Status: NEW → ASSIGNED
Flags: needinfo?(gl)
12 failures in 894 pushes (0.013 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 8
* mozilla-beta: 2
* mozilla-release: 1
* mozilla-esr52: 1

Platform breakdown:
* linux64: 7
* linux32-nightly: 2
* linux32: 2
* linux64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1322627&startday=2017-04-10&endday=2017-04-16&tree=all

Updated

2 years ago
Assignee: gl → nobody
Status: ASSIGNED → NEW
5 failures in 770 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 3
* mozilla-inbound: 2

Platform breakdown:
* linux64: 4
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1322627&startday=2017-05-01&endday=2017-05-07&tree=all
Status: NEW → RESOLVED
Last Resolved: a year ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE

Updated

4 months ago
Product: Firefox → DevTools
You need to log in before you can comment on or make changes to this bug.